@echo off
rem Dezyne --- Dezyne command line tools
rem
rem Copyright © 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen <janneke@gnu.org>
rem Copyright © 2021 Rutger van Beusekom <rutger@dezyne.org>
rem
rem This file is part of Dezyne.
rem
rem Dezyne is free software: you can redistribute it and/or modify it
rem under the terms of the GNU Affero General Public License as
rem published by the Free Software Foundation, either version 3 of the
rem License, or (at your option) any later version.
rem
rem Dezyne is distributed in the hope that it will be useful, but
rem WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
rem Affero General Public License for more details.
rem
rem You should have received a copy of the GNU Affero General Public
rem License along with Dezyne.  If not, see <http://www.gnu.org/licenses/>.
setlocal
set LANG=en_US.UTF-8
set dir=%~dp0
set dir=%dir:\=/%
set GUILE_AUTO_COMPILE=0
set GUILE_LOAD_PATH=%GUILE_LOAD_PATH%;%dir%/gnu/share/guile/site/3.0;%dir%/share/guile/3.0
set GUILE_LOAD_COMPILED_PATH=%GUILE_LOAD_COMPILED_PATH%;%dir%/gnu/lib/guile/3.0/site-ccache;%dir%/gnu/lib/guile/3.0/ccache
set GUIX_LOCPATH=%dir%/gnu/lib/locale
set HOME=%USERPROFILE%
set PATH=%dir%;%dir%/gnu/bin;%dir%/gnu/lib;%dir%/gnu/lib/guile/3.0/extensions;%PATH%
guile.exe %*
